# pymatgen.transformations.defect_transformations module

This module defines classes for point defect transformations on structures

class DefectTransformation(scaling_matrix, defect)

  Bases: `pymatgen.transformations.transformation_abc.AbstractTransformation`

  Generates Defect structures based on pymatgen Defect Core classes

  Parameters

    - scaling_matrix – Supercell scaling matrix

    - defect – Defect pymatgen object NOTE: defect.bulk_structure should be same as provided structure in the apply_transformation step

  apply_transformation(structure)
    Parameters

      structure – (bulk structure to be scaled up - typically conventional unit cell)

    Returns

      defect_structure, with charge applied

  property inverse

    Not implemented

  property is_one_to_many

    False

    Type

      Returns